#ifndef YYERRCODE
#define YYERRCODE 256
#endif

#define ACCEPT_PASSWORD 257
#define ACTION 258
#define ADMIN 259
#define AFTYPE 260
#define T_ALLOW 261
#define ANTI_NICK_FLOOD 262
#define ANTI_SPAM_EXIT_MESSAGE_TIME 263
#define AUTOCONN 264
#define T_BLOCK 265
#define BURST_AWAY 266
#define BURST_TOPICWHO 267
#define BYTES 268
#define KBYTES 269
#define MBYTES 270
#define GBYTES 271
#define TBYTES 272
#define CALLER_ID_WAIT 273
#define CAN_FLOOD 274
#define CAN_IDLE 275
#define CHANNEL 276
#define CIDR_BITLEN_IPV4 277
#define CIDR_BITLEN_IPV6 278
#define CIPHER_PREFERENCE 279
#define CLASS 280
#define COMPRESSED 281
#define COMPRESSION_LEVEL 282
#define CONNECT 283
#define CONNECTFREQ 284
#define CRYPTLINK 285
#define DEFAULT_CIPHER_PREFERENCE 286
#define DEFAULT_FLOODCOUNT 287
#define DEFAULT_SPLIT_SERVER_COUNT 288
#define DEFAULT_SPLIT_USER_COUNT 289
#define DENY 290
#define DESCRIPTION 291
#define DIE 292
#define DISABLE_AUTH 293
#define DISABLE_FAKE_CHANNELS 294
#define DISABLE_HIDDEN 295
#define DISABLE_LOCAL_CHANNELS 296
#define DISABLE_REMOTE_COMMANDS 297
#define DOT_IN_IP6_ADDR 298
#define DOTS_IN_IDENT 299
#define DURATION 300
#define EGDPOOL_PATH 301
#define EMAIL 302
#define ENABLE 303
#define ENCRYPTED 304
#define EXCEED_LIMIT 305
#define EXEMPT 306
#define FAILED_OPER_NOTICE 307
#define FAKENAME 308
#define IRCD_FLAGS 309
#define FLATTEN_LINKS 310
#define FFAILED_OPERLOG 311
#define FKILLLOG 312
#define FKLINELOG 313
#define FGLINELOG 314
#define FIOERRLOG 315
#define FOPERLOG 316
#define FOPERSPYLOG 317
#define FUSERLOG 318
#define GECOS 319
#define GENERAL 320
#define GLINE 321
#define GLINES 322
#define GLINE_EXEMPT 323
#define GLINE_LOG 324
#define GLINE_TIME 325
#define GLINE_MIN_CIDR 326
#define GLINE_MIN_CIDR6 327
#define GLOBAL_KILL 328
#define IRCD_AUTH 329
#define NEED_IDENT 330
#define HAVENT_READ_CONF 331
#define HELP_CHANNEL 332
#define HIDDEN 333
#define HIDDEN_ADMIN 334
#define HIDDEN_NAME 335
#define HIDDEN_OPER 336
#define HIDE_SERVER_IPS 337
#define HIDE_SERVERS 338
#define HIDE_SPOOF_IPS 339
#define HOST 340
#define HUB 341
#define HUB_MASK 342
#define IDLETIME 343
#define IGNORE_BOGUS_TS 344
#define INVISIBLE_ON_CONNECT 345
#define IP 346
#define KILL 347
#define KILL_CHASE_TIME_LIMIT 348
#define KLINE 349
#define KLINE_EXEMPT 350
#define KLINE_REASON 351
#define KLINE_WITH_REASON 352
#define KNOCK_DELAY 353
#define KNOCK_DELAY_CHANNEL 354
#define LAZYLINK 355
#define LEAF_MASK 356
#define LINKS_DELAY 357
#define LISTEN 358
#define T_LOG 359
#define LOGGING 360
#define LOG_LEVEL 361
#define MAX_ACCEPT 362
#define MAX_BANS 363
#define MAX_CHANS_PER_USER 364
#define MAX_GLOBAL 365
#define MAX_IDENT 366
#define MAX_LOCAL 367
#define MAX_NICK_CHANGES 368
#define MAX_NICK_TIME 369
#define MAX_NUMBER 370
#define MAX_TARGETS 371
#define MESSAGE_LOCALE 372
#define MIN_NONWILDCARD 373
#define MIN_NONWILDCARD_SIMPLE 374
#define MODE_Z 375
#define MODULE 376
#define MODULES 377
#define NAME 378
#define NEED_PASSWORD 379
#define NETWORK_DESC 380
#define NETWORK_NAME 381
#define NICK 382
#define NICK_CHANGES 383
#define NO_CREATE_ON_SPLIT 384
#define NO_JOIN_ON_SPLIT 385
#define NO_OPER_FLOOD 386
#define NO_TILDE 387
#define NOT 388
#define NUMBER 389
#define NUMBER_PER_IDENT 390
#define NUMBER_PER_CIDR 391
#define NUMBER_PER_IP 392
#define NUMBER_PER_IP_GLOBAL 393
#define OPERATOR 394
#define OPERS_BYPASS_CALLERID 395
#define OPER_LOG 396
#define OPER_ONLY_UMODES 397
#define OPER_PASS_RESV 398
#define OPER_SPY_T 399
#define OPER_UMODES 400
#define JOIN_FLOOD_COUNT 401
#define JOIN_FLOOD_TIME 402
#define PACE_WAIT 403
#define PACE_WAIT_SIMPLE 404
#define PASSWORD 405
#define PATH 406
#define PING_COOKIE 407
#define PING_TIME 408
#define PING_WARNING 409
#define PORT 410
#define QSTRING 411
#define QUIET_ON_BAN 412
#define REASON 413
#define REDIRPORT 414
#define REDIRSERV 415
#define REGEX_T 416
#define REHASH 417
#define TREJECT_HOLD_TIME 418
#define REMOTE 419
#define REMOTEBAN 420
#define RESTRICT_CHANNELS 421
#define RESTRICTED 422
#define RSA_PRIVATE_KEY_FILE 423
#define RSA_PUBLIC_KEY_FILE 424
#define SSL_CERTIFICATE_FILE 425
#define RESV 426
#define RESV_EXEMPT 427
#define SECONDS 428
#define MINUTES 429
#define HOURS 430
#define DAYS 431
#define WEEKS 432
#define SENDQ 433
#define SEND_PASSWORD 434
#define SERVERHIDE 435
#define SERVERINFO 436
#define SERVLINK_PATH 437
#define SERVICES_NAME 438
#define IRCD_SID 439
#define TKLINE_EXPIRE_NOTICES 440
#define T_SHARED 441
#define T_CLUSTER 442
#define T_SNOOP 443
#define TYPE 444
#define SHORT_MOTD 445
#define SILENT 446
#define SPOOF 447
#define SPOOF_NOTICE 448
#define STATS_E_DISABLED 449
#define STATS_I_OPER_ONLY 450
#define STATS_K_OPER_ONLY 451
#define STATS_O_OPER_ONLY 452
#define STATS_P_OPER_ONLY 453
#define TBOOL 454
#define TMASKED 455
#define T_REJECT 456
#define TS_MAX_DELTA 457
#define TS_WARN_DELTA 458
#define TWODOTS 459
#define T_ALL 460
#define T_BOTS 461
#define T_SOFTCALLERID 462
#define T_CALLERID 463
#define T_CCONN 464
#define T_CCONN_FULL 465
#define T_CLIENT_FLOOD 466
#define T_DEAF 467
#define T_DEBUG 468
#define T_DRONE 469
#define T_EXTERNAL 470
#define T_FULL 471
#define T_INVISIBLE 472
#define T_IPV4 473
#define T_IPV6 474
#define T_LOCOPS 475
#define T_LOGPATH 476
#define T_L_CRIT 477
#define T_L_DEBUG 478
#define T_L_ERROR 479
#define T_L_INFO 480
#define T_L_NOTICE 481
#define T_L_TRACE 482
#define T_L_WARN 483
#define T_MAX_CLIENTS 484
#define T_NCHANGE 485
#define T_OPERWALL 486
#define T_REJ 487
#define T_SERVNOTICE 488
#define T_SKILL 489
#define T_SPY 490
#define T_SSL 491
#define T_UMODES 492
#define T_UNAUTH 493
#define T_UNRESV 494
#define T_UNXLINE 495
#define T_WALLOP 496
#define THROTTLE_TIME 497
#define TOPICBURST 498
#define TRUE_NO_OPER_FLOOD 499
#define TKLINE 500
#define TXLINE 501
#define TRESV 502
#define UNKLINE 503
#define USER 504
#define T_USERMODE 505
#define USE_EGD 506
#define USE_EXCEPT 507
#define USE_INVEX 508
#define USE_KNOCK 509
#define USE_LOGGING 510
#define USE_WHOIS_ACTUALLY 511
#define VHOST 512
#define VHOST6 513
#define XLINE 514
#define WARN 515
#define WARN_NO_NLINE 516
#define WEBIRC 517
typedef union {
  int number;
  char *string;
} YYSTYPE;
extern YYSTYPE yylval;
